package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAppraisalKPAForm extends HrmBaseForm {
  private String selectAll;
  
  private String kpaGroupCode;
  
  private String description;
  
  private String kpaGrpId;
  
  private ArrayList arylstAppraisalKpa = new ArrayList();
  
  private String disabdescription;
  
  private String disabkpaGroupCode;
  
  private String disabkpaGrpId;
  
  private String disabselectAll;
  
  private String butKpaGroupCode;
  
  private String disabbutKpaGroupCode;
  
  private String txtAppraiserType;
  
  private String ratingRequired;
  
  private String butFreeze;
  
  private String disabbutFreeze;
  
  private String status;
  
  private String statusOfHeader;
  
  private String disabstatusOfHeader;
  
  private String disabtxtAppraiserType;
  
  private String[] txtDescription;
  
  private String[] txtKpaCode;
  
  private String[] kpaCodeId;
  
  private String[] mandatoryFlag;
  
  private String[] txtWeightage;
  
  private String[] txtSrlNo;
  
  private String disabratingRequired;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String[] getTxtDescription() {
    return this.txtDescription;
  }
  
  public void setTxtDescription(String[] newTxtDescription) {
    this.txtDescription = newTxtDescription;
  }
  
  public String[] getTxtKpaCode() {
    return this.txtKpaCode;
  }
  
  public void setTxtKpaCode(String[] newTxtKpaCode) {
    this.txtKpaCode = newTxtKpaCode;
  }
  
  public String getDescription() {
    return this.description;
  }
  
  public void setDescription(String newDescription) {
    this.description = newDescription;
  }
  
  public String getKpaGroupCode() {
    return this.kpaGroupCode;
  }
  
  public void setKpaGroupCode(String newKpaGroupCode) {
    this.kpaGroupCode = newKpaGroupCode;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public ArrayList getArylstAppraisalKpa() {
    return this.arylstAppraisalKpa;
  }
  
  public void setArylstAppraisalKpa(ArrayList newArylstAppraisalKpa) {
    this.arylstAppraisalKpa = newArylstAppraisalKpa;
  }
  
  public String getKpaGrpId() {
    return this.kpaGrpId;
  }
  
  public void setKpaGrpId(String newKpaGrpId) {
    this.kpaGrpId = newKpaGrpId;
  }
  
  public String getDisabdescription() {
    return this.disabdescription;
  }
  
  public void setDisabdescription(String newDisabdescription) {
    this.disabdescription = newDisabdescription;
  }
  
  public String getDisabkpaGroupCode() {
    return this.disabkpaGroupCode;
  }
  
  public void setDisabkpaGroupCode(String newDisabkpaGroupCode) {
    this.disabkpaGroupCode = newDisabkpaGroupCode;
  }
  
  public String getDisabkpaGrpId() {
    return this.disabkpaGrpId;
  }
  
  public void setDisabkpaGrpId(String newDisabkpaGrpId) {
    this.disabkpaGrpId = newDisabkpaGrpId;
  }
  
  public String getDisabselectAll() {
    return this.disabselectAll;
  }
  
  public void setDisabselectAll(String newDisabselectAll) {
    this.disabselectAll = newDisabselectAll;
  }
  
  public String[] getKpaCodeId() {
    return this.kpaCodeId;
  }
  
  public void setKpaCodeId(String[] newKpaCodeId) {
    this.kpaCodeId = newKpaCodeId;
  }
  
  public String getButKpaGroupCode() {
    return this.butKpaGroupCode;
  }
  
  public void setButKpaGroupCode(String newButKpaGroupCode) {
    this.butKpaGroupCode = newButKpaGroupCode;
  }
  
  public String getDisabbutKpaGroupCode() {
    return this.disabbutKpaGroupCode;
  }
  
  public void setDisabbutKpaGroupCode(String newDisabbutKpaGroupCode) {
    this.disabbutKpaGroupCode = newDisabbutKpaGroupCode;
  }
  
  public String[] getMandatoryFlag() {
    return this.mandatoryFlag;
  }
  
  public void setMandatoryFlag(String[] newMandatoryFlag) {
    this.mandatoryFlag = newMandatoryFlag;
  }
  
  public String[] getTxtWeightage() {
    return this.txtWeightage;
  }
  
  public void setTxtWeightage(String[] newTxtWeightage) {
    this.txtWeightage = newTxtWeightage;
  }
  
  public String getTxtAppraiserType() {
    return this.txtAppraiserType;
  }
  
  public void setTxtAppraiserType(String newTxtAppraiserType) {
    this.txtAppraiserType = newTxtAppraiserType;
  }
  
  public String[] getTxtSrlNo() {
    return this.txtSrlNo;
  }
  
  public void setTxtSrlNo(String[] newTxtSrlNo) {
    this.txtSrlNo = newTxtSrlNo;
  }
  
  public String getRatingRequired() {
    return this.ratingRequired;
  }
  
  public void setRatingRequired(String newRatingRequired) {
    this.ratingRequired = newRatingRequired;
  }
  
  public String getButFreeze() {
    return this.butFreeze;
  }
  
  public void setButFreeze(String newButFreeze) {
    this.butFreeze = newButFreeze;
  }
  
  public String getDisabbutFreeze() {
    return this.disabbutFreeze;
  }
  
  public void setDisabbutFreeze(String newDisabbutFreeze) {
    this.disabbutFreeze = newDisabbutFreeze;
  }
  
  public void setStatus(String newStatus) {
    this.status = newStatus;
  }
  
  public String getStatusOfHeader() {
    return this.statusOfHeader;
  }
  
  public void setStatusOfHeader(String newStatusOfHeader) {
    this.statusOfHeader = newStatusOfHeader;
  }
  
  public String getDisabstatusOfHeader() {
    return this.disabstatusOfHeader;
  }
  
  public void setDisabstatusOfHeader(String newDisabstatusOfHeader) {
    this.disabstatusOfHeader = newDisabstatusOfHeader;
  }
  
  public String getDisabtxtAppraiserType() {
    return this.disabtxtAppraiserType;
  }
  
  public void setDisabtxtAppraiserType(String newDisabtxtAppraiserType) {
    this.disabtxtAppraiserType = newDisabtxtAppraiserType;
  }
  
  public String getDisabratingRequired() {
    return this.disabratingRequired;
  }
  
  public void setDisabratingRequired(String newDisabratingRequired) {
    this.disabratingRequired = newDisabratingRequired;
  }
}
